mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.All, Inherited=false)

Apply the attribute to a method or constructor to tell the native image generation service that the method (and its statically determinable call graph) is to be prepared for use in a CER. This attribute is useful if the method to which it is applied will be prepared explicitly at run time, and the author of the method knows this and wants to avoid the overhead of run-time preparation.

Instructs the native image generation service to prepare a method for inclusion in a constrained execution region (CER).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.